#define GVT_DONT_UNDEF
#include TEST_HEADER
#include <stdio.h>

void print_arr(const char *header, GVT(t) *a)
{
	int n;
	printf("%s [u=%d a=%d]", header, a->used, a->alloced);
	for(n = 0; n < a->used; n++) {
		printf(" %d", a->array[n]);
	}
	printf("\n");
}

#ifdef GVT_INIT_ELEM_FUNC
void test_init_elem(GVTTYPE *gds, GVT_ELEM_TYPE *elem)
{
	*elem = -7;
}
#	define auto_init(arr) \
		do { \
			GVT(init)(&arr); \
			arr.init_elem = test_init_elem; \
		} while(0)
#else
#	define auto_init(arr)  GVT(init)(&arr);
#endif
